%define _altdata_dir %_datadir/alterator

Name: alterator-hpc
Version: 0.4
Release: alt2

Packager: Stanislav Ievlev <inger@altlinux.org>

BuildArch:	noarch

Source:%name-%version.tar

Summary: HPC specific tunings
License: GPL
Group: System/Configuration/Other

Requires: %name-client = %version-%release
Requires: %name-server = %version-%release

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
HPC specific tunings

%package server
Summary: server side HPC specific tunings
Group: System/Configuration/Other
License: GPL
Requires: alterator
# for password dialog
Requires: alterator-users
Requires(pre): openldap-servers

%description server
server side HPC specific tunings

%package client
Summary: client side HPC specific tunings
Group: System/Configuration/Other
License: GPL
Requires: alterator

%description client
client side HPC specific tunings

%prep
%setup -q

%build
%make_build

%install
%makeinstall HTMLROOT=%buildroot%_var/www/
%find_lang %name

%files

%files server -f %name.lang
%_altdata_dir/ui/*/
%_alterator_backend3dir/hpc-ldap
%config(noreplace) %attr(640,root,ldap) %_sysconfdir/openldap/slapd-hpc-user.conf


%files client
%_alterator_backend3dir/*
%exclude %_alterator_backend3dir/hpc-ldap


%changelog
* Tue Oct 09 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- rename hpc/user to hpc/ldap

* Fri Sep 28 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- add backend for simplest syslog-ng setup

* Mon Sep 24 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- split to client and server subpackages to reduce deps
- add finish step ui
- add translation

* Mon Sep 17 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- add backend for torque setup

* Mon Sep 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- improve ldap admin password dialog

* Mon Sep 03 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial build
